.footer {
    padding: 40px 0 28px;
    background-color: var(--clr-blue);
}

.footer__wrap {
    position: relative;

    display: flex;
    flex-direction: column;
    gap: 85px;

    box-sizing: border-box;
}

.footer__wrap::before {
    content: '';

    position: absolute;
    top: 0;
    right: 0;

    height: 100%;
    width: 100%;
    display: block;

    background: no-repeat url(../images/icon/footer_pattern_desk.svg);
    background-size: 100% 100%;
    background-position: center center;
}

.footer__top {
    position: relative;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;

    z-index: 1;
}

.footer__nav {
    display: flex;
    flex-direction: column;
    gap: 18px;
}

.footer__nav-title {
    margin: 0;

    color: var(--clr-white);
    font-weight: 500;
}

.footer__nav-list {
    margin: 0;
    padding: 0;
    list-style: none;

    display: flex;
    flex-direction: column;
    gap: 14px;
}

.footer__nav-item {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.footer__contact-item {
    display: flex;
    flex-direction: column;
    gap: 7px;
}

.footer__contact-item.title {
    margin: 0;

    color: var(--clr-white);
    font-weight: 600;
}

.footer__nav-link {
    margin: 0;
    text-decoration: none;
    color: var(--clr-white);

    font-weight: 600;
    transition: .3s ease-in-out;
}

.footer__nav-link:hover {
    color: var(--clr-gray);
}

.footer__logo {
    position: relative;

    width: 100%;

    z-index: 1;
}

.footer__btm {
    position: relative;
    padding: 28px 0 0;

    display: flex;
    justify-content: space-between;
    align-items: center;

    z-index: 1;
}

@media screen and (max-width: 768px) {

    .footer {
        padding: 40px 0;
    }

    .footer__wrap {
        gap: 40px;
    }

    .footer__top {
        grid-template-columns: repeat(2, 1fr);
        row-gap: 40px;
    }

    .footer__btm {
        padding: 0;
    }

}

@media screen and (max-width: 430px) {

    .footer__top {
        grid-template-columns: 1fr;
    }

    .footer__wrap::before {
        content: '';
    
        position: absolute;
        top: 0;
        right: 0;
    
        height: 100%;
        width: 100%;
        display: block;
    
        background: no-repeat url(../images/icon/footer_pattern_mob.svg);
        background-size: 100% 100%;
        background-position: center center;
    }

    .footer__btm {
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
    }

}